logging_event.h(3)

NAME
logging_event.h - the internal representation of logging events.

SYNOPSIS

#include <log4c/defs.h>
#include <log4c/buffer.h>
#include <log4c/location_info.h>
#include <sys/time.h>

  Data Structures

struct log4c_logging_event_t
logging event object

  Functions

log4c_logging_event_t * log4c_logging_event_new (const char *a_category, int a_priority, const char *a_message)
void log4c_logging_event_delete (log4c_logging_event_t *a_event)

Detailed Description

the internal representation of logging events.

When a affirmative logging decision is made a log4c_logging_event instance is created. This instance is passed around the different log4c components.

Function Documentation

  void log4c_logging_event_delete (log4c_logging_event_t * a_event)
Destructor for a logging event.

Parameters:
    a_event the logging event object

  log4c_logging_event_t* log4c_logging_event_new (const char * a_category, int a_priority, const char * a_message)
Constructor for a logging event.

Parameters:
    a_category the category name
    a_priority the category initial priority
    a_message the message of this event

Todo
    need to handle multi-threading (NDC)

Author

Generated automatically by Doxygen for log4c from the source code.